<?php
namespace Helpers\Trad;

class TradDev implements ITrad
{
    public function __construct()
    {
    }

    public function copy(string $lang) :ITrad
    {
        return new self();
    }

//_____________________________________________________________________________
// Process

    public function t(string $s) :string
    {
        return 't| ' . $s;
    }
    
//_____________________________________________________________________________
// Shorthand

    public function colon() :string
    {
        return "\xc2\xa0: ";
    }

    public function modeBufferTrad(bool $buffer = false) : void
    {
        new self();
    }
}
